package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.BisHazAssessRec;

/**
 * 危险源考核记录 数据层
 */
@Mapper
public interface BisHazAssessRecMapper {

    /**
     * 查询危险源考核记录信息
     * @param id 查询条件
     * @return 危险源考核记录信息
     */
    BisHazAssessRec selectBisHazAssessRecById(Long id);

    /**
     * 查询危险源考核记录列表
     * @param bisHazAssessRec 危险源考核记录查询条件
     * @return 危险源考核记录集合
     */
    List<BisHazAssessRec> selectBisHazAssessRecList(BisHazAssessRec bisHazAssessRec);

    /**
     * 新增危险源考核记录
     * @param bisHazAssessRec 危险源考核记录信息
     * @return 影响行数
     */
    int insertBisHazAssessRec(BisHazAssessRec bisHazAssessRec);

    /**
     * 修改危险源考核记录
     * @param bisHazAssessRec 危险源考核记录信息
     * @return 影响行数
     */
    int updateBisHazAssessRec(BisHazAssessRec bisHazAssessRec);

    /**
     * 删除危险源考核记录
     * @param id 危险源考核记录主键
     * @return 影响行数
     */
    int deleteBisHazAssessRecById(Long id);

    /**
     * 批量删除危险源考核记录
     * @param ids 危险源考核记录主键数组
     * @return 影响行数
     */
    int deleteBisHazAssessRecByIds(Long[] ids);
}
